﻿@model IContentBlockViewModel<ContactFormular>

@{

    var umbracoHelper = Umbraco.Web.Composing.Current.UmbracoHelper;

    var rootNode = umbracoHelper.AssignedContentItem.Root() as Home;

    var adr = rootNode.BoCompanyName;

    if (!string.IsNullOrEmpty(rootNode.BoCompanyPhone))
    {
        adr += "<br/><a href='tel:" + rootNode.BoCompanyPhone + "'>" + rootNode.BoCompanyPhone + "</a>";
    }
    if (!string.IsNullOrEmpty(rootNode.BoCompanyAddress))
    {
        adr += "<br/>" + rootNode.BoCompanyAddress;
    }
    if (!string.IsNullOrEmpty(rootNode.BoCompanyEmail))
    {
        adr += "<br/><a href='mailto:" + rootNode.BoCompanyEmail + "'>" + rootNode.BoCompanyEmail + "</a>";
    }
}

<section class="outer-box">
    <div>
        @if (Model.Content.HasValue("heading") && !string.IsNullOrEmpty(Model.Content.Value("heading").ToString()))
        {
            <h2 class="section-title">
                @RazorHelpers.GenerateMsHeading(Model.Content.Heading)
            </h2>
        }
        <div>
            @if (Model.Content.HasValue("formHeading") && !string.IsNullOrEmpty(Model.Content.Value("formHeading").ToString()))
            {
                <h3>@Model.Content.FormHeading</h3>
            }
            <form action="javascript:submitForm('grovvy');"
                  id="grovvy" class="form-div"
                  enctype="multipart/form-data"
                  method="post"
                  data-wait='@umbracoHelper.GetDictionaryValue("Please wait...")'
                  data-success='@Model.Content.Value("userMessageOnSubmit")'
                  data-fail='@umbracoHelper.GetDictionaryValue("Sorry, something went wrong...")'
                  data-email-subject='@Model.Content.Value("notificationSubject")'
                  data-email-to='@Model.Content.Value("notificationReceiver")'
                  data-email-from="@rootNode.BoCompanyEmail"
                  data-template="~/Views/Partials/EmailTemplates/EmailTemplate.html"
                  data-signatur-markup='<p>@adr</p>'
                  data-intro-text-markup='@Model.Content.Value("notificationIntroMessage")'
                  data-language='@System.Threading.Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName'>
                <div class="form-group">
                    <input class="form-control" data-val="true" data-val-required='@umbracoHelper.GetDictionaryValue("Name is required")' id='@umbracoHelper.GetDictionaryValue("Name")'
                           name="Name" placeholder="@(umbracoHelper.GetDictionaryValue("Name"))*" type="text" value="">
                    <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("Name")' data-valmsg-replace="true"></span>
                </div>
                <div class="form-group">
                    <input class="form-control" data-val="true" data-val-email='@umbracoHelper.GetDictionaryValue("Please check your E-mail")'
                           data-val-required='@umbracoHelper.GetDictionaryValue("E-mail is required")' id="E-mail" name='@umbracoHelper.GetDictionaryValue("E-mail")' placeholder='@(umbracoHelper.GetDictionaryValue("E-mail"))*' type="text" value="">
                    <span class="field-validation-valid" data-valmsg-for='@umbracoHelper.GetDictionaryValue("E-mail")' data-valmsg-replace="true"></span>
                </div>
                <div class="form-group col-sm-12 ">
                    <textarea class="form-control" cols="20" id="Message" name='@umbracoHelper.GetDictionaryValue("Message")' placeholder='@umbracoHelper.GetDictionaryValue("Message")' rows="2"></textarea>
                </div>
                <input type="submit" name="Submit" class="btn btn--image-text-overlay" value='@umbracoHelper.GetDictionaryValue("Submit")'>
            </form>
        </div>
    </div>
</section>
